IF	OBJECT_ID('EST_PROD_TBL_FIDEL_INTEGRADORA') IS NULL
begin
CREATE TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA](
	[CD_INTEGRADORA] [int] NOT NULL,
	[DS_INTEGRADORA] [varchar](100) NOT NULL,
	[CD_EXTERNO_PARC] [varchar](100) NOT NULL,
	[URL] [varchar](100) NOT NULL,
	[USUARIO] [varchar](100) NOT NULL,
	[SENHA] [varchar](100) NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NULL,
	[DT_ULT_ALT] [datetime] NULL
 CONSTRAINT [PK_EST_PROD_TBL_FIDEL_INTEGRADORA] PRIMARY KEY CLUSTERED 
(
	[CD_INTEGRADORA] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_CD_INTEGRADORA]  DEFAULT ((0)) FOR [CD_INTEGRADORA]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_DS_INTEGRADORA]  DEFAULT ('') FOR [DS_INTEGRADORA]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_CD_EXTERNO_PARC]  DEFAULT ('') FOR [CD_EXTERNO_PARC]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_URL]  DEFAULT ('') FOR [URL]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_USUARIO]  DEFAULT ('') FOR [USUARIO]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_SENHA]  DEFAULT ('') FOR [SENHA]

ALTER TABLE [dbo].[EST_PROD_TBL_FIDEL_INTEGRADORA] ADD  CONSTRAINT [DF_EST_PROD_TBL_FIDEL_INTEGRADORA_CD_USU]  DEFAULT ((0)) FOR [CD_USU]
end
GO
GO
--CRIANDO A INTEGRADORA PADRAO
IF NOT EXISTS(SELECT
				CD_INTEGRADORA
			  FROM
				EST_PROD_TBL_FIDEL_INTEGRADORA
			  WHERE
				CD_INTEGRADORA=0
			 )
BEGIN
	INSERT INTO 
		EST_PROD_TBL_FIDEL_INTEGRADORA (CD_INTEGRADORA,DS_INTEGRADORA, CD_USU, DT_CAD)
	SELECT
		1,
		'INTEGRADORA PROPRIA',
		1,
		GETDATE()
	where not exists(select top 1 * from EST_PROD_TBL_FIDEL_INTEGRADORA where cd_integradora=1)
END